libcoap 4.3.2rc2

Data Fields
coap_attr_t Struct Reference
Libcoap Internal API » Resources

Limits the number of subscribers for each resource that this server support. More...

`#include <coap_resource_internal.h>`

## Data Fields
struct coap_attr_t * | next
| Pointer to next in chain or NULL. More...
coap_str_const_t * | name
| Name of the attribute. More...
coap_str_const_t * | value
| Value of the attribute (can be NULL) More...
int | flags

## Detailed Description

Limits the number of subscribers for each resource that this server support.

Zero means there is no maximum. Abstraction of attribute associated with a resource.

Definition at line 42 of file coap_resource_internal.h.

## Field Documentation

## ◆ flags

int coap_attr_t::flags

Definition at line 46 of file coap_resource_internal.h.

## ◆ name

coap_str_const_t* coap_attr_t::name

Name of the attribute.

Definition at line 44 of file coap_resource_internal.h.

## ◆ next

struct coap_attr_t* coap_attr_t::next

Pointer to next in chain or NULL.

Definition at line 43 of file coap_resource_internal.h.

## ◆ value

coap_str_const_t* coap_attr_t::value

Value of the attribute (can be NULL)

Definition at line 45 of file coap_resource_internal.h.

The documentation for this struct was generated from the following file:

- coap_resource_internal.h